﻿/* Copyright © 1998, 2012, Oracle and/or its affiliates.  All rights reserved. */
/* Version 11.1.0.0 */

//* <XBuild version="11.1.0-release,trace,browser.all,playback,hint-1"/>
//* <BaseDir path="E:/BUILDROOT_SUN/Builds/Branches/Hacienda/tfs/TargetApps/BrowserAppsBuild/Build/Source/Applications/"/>
//* <FileRef type="source" path="stdhemi/test/testpage.js" time="2012-01-13T11:50:33"/>
//* <FileRef type="reference" path="../Include/Tools/Browser.js" time="2012-01-13T11:50:45"/>
//* <FileRef type="reference" path="../Include/Tools/Main.js" time="2012-01-13T11:50:46"/>


//* <FileBegin path="stdhemi/test/testpage.js"/>
//x /// <reference path="../../../Include/Tools/Browser.js"/>

//* <FileBegin path="../Include/Tools/Browser.js"/>
//x /// <reference path="Main.js"/>

//* <FileBegin path="../Include/Tools/Main.js"/>
//x //: Don't add references in this file!

//x //: <if xconfig="Ignore"/>
//x function TYPEDEF(name_eq_new_TypeName) {
//x     /// <summary>Enable IntelliSense for an arbitrary object: TYPEDEF(name = new TypeName());</summary>
//x }
//x //: <end/>

function NameOf(name) { // ../Include/Tools/Main.js: 9
    return ((name != null) ? '"' + name + '"' : '(null)'); // ../Include/Tools/Main.js: 10
} // ../Include/Tools/Main.js: 11

function TypeOf(value) { // ../Include/Tools/Main.js: 13
    if (value == null) // ../Include/Tools/Main.js: 14
        return ((value === void 0) ? 'undefined' : 'null'); // ../Include/Tools/Main.js: 15
    var type = typeof value; // ../Include/Tools/Main.js: 16
    //Gyuri issue 1
    //See below
    if (IsArray(value)) { // ../Include/Tools/Main.js: 19
        return 'object Array'; // ../Include/Tools/Main.js: 20
    } // ../Include/Tools/Main.js: 21
    if (type != 'object' || value.constructor == null) // ../Include/Tools/Main.js: 22
        return type; // ../Include/Tools/Main.js: 23
    var result = /function\s+([^\(]*)\(/.exec(value.constructor.toString()); // ../Include/Tools/Main.js: 24
    return (type + ((result && result.length > 1 && result[1].length > 0) ? ' ' + result[1] : '')); // ../Include/Tools/Main.js: 25
} // ../Include/Tools/Main.js: 26

function IsNullOrString(obj) { // ../Include/Tools/Main.js: 28
    return ((obj == null) || (typeof obj == 'string') || (obj instanceof String)); // ../Include/Tools/Main.js: 29
} // ../Include/Tools/Main.js: 30

function IsNullOrNumber(obj) { // ../Include/Tools/Main.js: 32
    return ((obj == null) || (typeof obj == 'number') || (obj instanceof Number)); // ../Include/Tools/Main.js: 33
} // ../Include/Tools/Main.js: 34

function IsNullOrBoolean(obj) { // ../Include/Tools/Main.js: 36
    return ((obj == null) || (typeof obj == 'boolean') || (obj instanceof Boolean)); // ../Include/Tools/Main.js: 37
} // ../Include/Tools/Main.js: 38

function IsNullOrRegExp(obj) { // ../Include/Tools/Main.js: 40
    return ((obj == null) || (obj instanceof RegExp)); // ../Include/Tools/Main.js: 41
} // ../Include/Tools/Main.js: 42

function IsNullOrArray(obj) { // ../Include/Tools/Main.js: 44
    return ((obj == null) || IsArray(obj)); // ../Include/Tools/Main.js: 45
} // ../Include/Tools/Main.js: 46

function IsNullOrInstanceOf(obj, type) { // ../Include/Tools/Main.js: 48
    return ((obj == null) || (obj instanceof type)); // ../Include/Tools/Main.js: 49
} // ../Include/Tools/Main.js: 50

function IsUndefined(obj) { // ../Include/Tools/Main.js: 52
    return (typeof (obj) == 'undefined'); // ../Include/Tools/Main.js: 53
} // ../Include/Tools/Main.js: 54

function IsString(obj) { // ../Include/Tools/Main.js: 56
    return ((typeof obj == 'string') || (typeof obj == 'object' && obj.constructor === String)); // ../Include/Tools/Main.js: 57
} // ../Include/Tools/Main.js: 58

function IsNumber(obj) { // ../Include/Tools/Main.js: 60
    return ((typeof obj == 'number') || (typeof obj == 'object' && obj.constructor === Number)); // ../Include/Tools/Main.js: 61
} // ../Include/Tools/Main.js: 62

function IsBoolean(obj) { // ../Include/Tools/Main.js: 64
    return ((typeof obj == 'boolean') || (typeof obj == 'object' && obj.constructor === Boolean)); // ../Include/Tools/Main.js: 65
} // ../Include/Tools/Main.js: 66

//Gyuri issue 1, use other function to determine whether the actual object is an array
//Firefox gives error for an array created in the chrome environment
//Permission denied for <http://www.google.hu> to get property Array.constructor from <>.
/*
function IsArray(obj) {
return (obj != null) && (obj.constructor === Array);
}
*/ // ../Include/Tools/Main.js: 75
function IsArray(obj) { // ../Include/Tools/Main.js: 76
    return (typeof (obj) == 'object' && (obj.join != void 0) && (obj.push != void 0) && (obj.length != void 0)); // ../Include/Tools/Main.js: 77
} // ../Include/Tools/Main.js: 78


function IsFunction(obj) { // ../Include/Tools/Main.js: 81
    return (typeof obj == 'function') || ((obj != null) && (obj.constructor === Function)); // ../Include/Tools/Main.js: 82
} // ../Include/Tools/Main.js: 83

//TODO: Matyi: Ez mifele allat???
//Gyuri: olyanfajta, amit a YUI is használ...
//Matyi: :)
/*
    isObject: function(o) {
return (o && (typeof o === 'object' || L.isFunction(o))) || false;
    },
    isFunction: function(o) {
        return (typeof o === 'function') || Object.prototype.toString.apply(o) === '[object Function]';
    },    
*/     // ../Include/Tools/Main.js: 95

function IsObject(obj) { // ../Include/Tools/Main.js: 97
    return ((typeof (obj) == 'object' || IsFunction(obj)) && obj != null); // ../Include/Tools/Main.js: 98
} // ../Include/Tools/Main.js: 99

function IsInstanceOf(obj, type) { // ../Include/Tools/Main.js: 101
    return (obj instanceof type); // ../Include/Tools/Main.js: 102
} // ../Include/Tools/Main.js: 103

function IsHash(obj) { // ../Include/Tools/Main.js: 105
    return ( // ../Include/Tools/Main.js: 106
        (obj != null) && // ../Include/Tools/Main.js: 107
        (typeof obj == 'object') && // ../Include/Tools/Main.js: 108
        (obj.constructor !== String) && // ../Include/Tools/Main.js: 109
        (obj.constructor !== Number) && // ../Include/Tools/Main.js: 110
        (obj.constructor !== Boolean) && // ../Include/Tools/Main.js: 111
        (obj.constructor !== Array) && // ../Include/Tools/Main.js: 112
        (obj.constructor !== Date) // ../Include/Tools/Main.js: 113
    ); // ../Include/Tools/Main.js: 114
} // ../Include/Tools/Main.js: 115

function IsEmpty(obj) { // ../Include/Tools/Main.js: 117
    return (!obj || !obj.length); // ../Include/Tools/Main.js: 118
} // ../Include/Tools/Main.js: 119

//* <FileEnd path="../Include/Tools/Main.js"/>


function IsIE() { // ../Include/Tools/Browser.js: 3
    return (navigator.appName == 'Microsoft Internet Explorer'); // ../Include/Tools/Browser.js: 4
} // ../Include/Tools/Browser.js: 5

function IsFF() { // ../Include/Tools/Browser.js: 7
    return (navigator.appName == 'Netscape'); // ../Include/Tools/Browser.js: 8
} // ../Include/Tools/Browser.js: 9

//calling execScript once on a window object causes the eval method magically to reappear, if it was disappeared before
function ForceEval(obj) { // ../Include/Tools/Browser.js: 12
    if (IsIE()) { // ../Include/Tools/Browser.js: 13
        if (IsObject(obj) && IsFunction(obj.eval)) { // ../Include/Tools/Browser.js: 14
            if (IsObject(obj.execScript)) { // ../Include/Tools/Browser.js: 15
                obj.execScript('null'); // ../Include/Tools/Browser.js: 16
            } // ../Include/Tools/Browser.js: 17
        } // ../Include/Tools/Browser.js: 18
    } // ../Include/Tools/Browser.js: 19
} // ../Include/Tools/Browser.js: 20

//x //: <if xconfig="Browser.IE*,Browser.All"/>

function IE_ConvertVBArrayToArray(obj) { // ../Include/Tools/Browser.js: 24
    return ((obj == null)? null: obj['toArray']()); // ../Include/Tools/Browser.js: 25
} // ../Include/Tools/Browser.js: 26

//x //: <end/>

var _BrowserType = { // ../Include/Tools/Browser.js: 30
    NotDetected: -1, // ../Include/Tools/Browser.js: 31
    MicrosoftInternetExplorer: 0, // ../Include/Tools/Browser.js: 32
    MozillaFirefox: 1, // ../Include/Tools/Browser.js: 33
    GoogleChrome: 2 // ../Include/Tools/Browser.js: 34
}; // ../Include/Tools/Browser.js: 35

var _Browser = { // ../Include/Tools/Browser.js: 37
    Type: _BrowserType.NotDetected, // ../Include/Tools/Browser.js: 38
    Version: void 0, // ../Include/Tools/Browser.js: 39
    IE: void 0, // ../Include/Tools/Browser.js: 40
    FF: void 0, // ../Include/Tools/Browser.js: 41
    CR: void 0, // ../Include/Tools/Browser.js: 42
    GetVersionFn: [ // ../Include/Tools/Browser.js: 43
        function() { // ../Include/Tools/Browser.js: 44
            var agent = navigator.userAgent; // ../Include/Tools/Browser.js: 45
            var tokenBegin = agent.indexOf('MSIE '); // ../Include/Tools/Browser.js: 46
            if (tokenBegin != -1) { // ../Include/Tools/Browser.js: 47
                tokenBegin += 5; // ../Include/Tools/Browser.js: 48
                var tokenEnd = agent.indexOf(';', tokenBegin); // ../Include/Tools/Browser.js: 49
                if (tokenEnd != -1) // ../Include/Tools/Browser.js: 50
                    return Number(agent.substr(tokenBegin, tokenEnd - tokenBegin)); // ../Include/Tools/Browser.js: 51
            } // ../Include/Tools/Browser.js: 52
            return -1; // ../Include/Tools/Browser.js: 53
        }, // ../Include/Tools/Browser.js: 54
        null, // ../Include/Tools/Browser.js: 55
        null // ../Include/Tools/Browser.js: 56
    ] // ../Include/Tools/Browser.js: 57
}; // ../Include/Tools/Browser.js: 58

var Browser = { // ../Include/Tools/Browser.js: 60
    IsIE: function() { // ../Include/Tools/Browser.js: 61
        if (_Browser.IE !== void 0) // ../Include/Tools/Browser.js: 62
            return _Browser.IE; // ../Include/Tools/Browser.js: 63
        if (!!(_Browser.IE = (navigator.userAgent.indexOf('MSIE ') != -1))) { // ../Include/Tools/Browser.js: 64
            _Browser.Type = _BrowserType.MicrosoftInternetExplorer; // ../Include/Tools/Browser.js: 65
            return true; // ../Include/Tools/Browser.js: 66
        } // ../Include/Tools/Browser.js: 67
        return false; // ../Include/Tools/Browser.js: 68
    }, // ../Include/Tools/Browser.js: 69
    IsFF: function() { // ../Include/Tools/Browser.js: 70
        if (_Browser.FF !== void 0) // ../Include/Tools/Browser.js: 71
            return _Browser.FF; // ../Include/Tools/Browser.js: 72
        if (!!(_Browser.FF = (navigator.userAgent.indexOf('Firefox') != -1))) { // ../Include/Tools/Browser.js: 73
            _Browser.Type = _BrowserType.MozillaFirefox; // ../Include/Tools/Browser.js: 74
            return true; // ../Include/Tools/Browser.js: 75
        } // ../Include/Tools/Browser.js: 76
    }, // ../Include/Tools/Browser.js: 77
    //IsCR: function() { },
    GetVersion: function() { // ../Include/Tools/Browser.js: 79
        if (_Browser.Version !== void 0) // ../Include/Tools/Browser.js: 80
            return _Browser.Version; // ../Include/Tools/Browser.js: 81
        var getVersionFn = _Browser.GetVersionFn[_Browser.Type]; // ../Include/Tools/Browser.js: 82
        var version = ((getVersionFn && getVersionFn()) || -1); // ../Include/Tools/Browser.js: 83
        _Browser.Version = version; // ../Include/Tools/Browser.js: 84
        return version; // ../Include/Tools/Browser.js: 85
    } // ../Include/Tools/Browser.js: 86
}; // ../Include/Tools/Browser.js: 87


//* <FileEnd path="../Include/Tools/Browser.js"/>


var mode = location.search.substr(1); // stdhemi/test/testpage.js: 3

sorttable = { // stdhemi/test/testpage.js: 5
    init: function() { // stdhemi/test/testpage.js: 6
        // quit if this function has already been called
        if (arguments.callee.done) return; // stdhemi/test/testpage.js: 8
        // flag this function so we don't do the same thing twice
        arguments.callee.done = true; // stdhemi/test/testpage.js: 10
        // kill the timer
        if (_timer) clearInterval(_timer); // stdhemi/test/testpage.js: 12

        if (!document.createElement || !document.getElementsByTagName) return; // stdhemi/test/testpage.js: 14

        sorttable.DATE_RE = /^(\d\d?)[\/\.-](\d\d?)[\/\.-]((\d\d)?\d\d)$/; // stdhemi/test/testpage.js: 16

        forEach(document.getElementsByTagName('table'), function(table) { // stdhemi/test/testpage.js: 18
            if (table.className.search(/\bsortable\b/) != -1) { // stdhemi/test/testpage.js: 19
                sorttable.makeSortable(table); // stdhemi/test/testpage.js: 20
            } // stdhemi/test/testpage.js: 21
        }); // stdhemi/test/testpage.js: 22

    }, // stdhemi/test/testpage.js: 24

    makeSortable: function(table) { // stdhemi/test/testpage.js: 26
        if (table.getElementsByTagName('thead').length == 0) { // stdhemi/test/testpage.js: 27
            // table doesn't have a tHead. Since it should have, create one and
            // put the first table row in it.
            the = document.createElement('thead'); // stdhemi/test/testpage.js: 30
            the.appendChild(table.rows[0]); // stdhemi/test/testpage.js: 31
            table.insertBefore(the, table.firstChild); // stdhemi/test/testpage.js: 32
        } // stdhemi/test/testpage.js: 33
        // Safari doesn't support table.tHead, sigh
        if (table.tHead == null) table.tHead = table.getElementsByTagName('thead')[0]; // stdhemi/test/testpage.js: 35

        if (table.tHead.rows.length != 1) return; // can't cope with two header rows

        // Sorttable v1 put rows with a class of "sortbottom" at the bottom (as
        // "total" rows, for example). This is B&R, since what you're supposed
        // to do is put them in a tfoot. So, if there are sortbottom rows,
        // for backwards compatibility, move them to tfoot (creating it if needed).
        sortbottomrows = []; // stdhemi/test/testpage.js: 43
        for (var i = 0; i < table.rows.length; i++) { // stdhemi/test/testpage.js: 44
            if (table.rows[i].className.search(/\bsortbottom\b/) != -1) { // stdhemi/test/testpage.js: 45
                sortbottomrows[sortbottomrows.length] = table.rows[i]; // stdhemi/test/testpage.js: 46
            } // stdhemi/test/testpage.js: 47
        } // stdhemi/test/testpage.js: 48
        if (sortbottomrows) { // stdhemi/test/testpage.js: 49
            if (table.tFoot == null) { // stdhemi/test/testpage.js: 50
                // table doesn't have a tfoot. Create one.
                tfo = document.createElement('tfoot'); // stdhemi/test/testpage.js: 52
                table.appendChild(tfo); // stdhemi/test/testpage.js: 53
            } // stdhemi/test/testpage.js: 54
            for (var j = 0; j < sortbottomrows.length; j++) { // stdhemi/test/testpage.js: 55
                tfo.appendChild(sortbottomrows[j]); // stdhemi/test/testpage.js: 56
            } // stdhemi/test/testpage.js: 57
            delete sortbottomrows; // stdhemi/test/testpage.js: 58
        } // stdhemi/test/testpage.js: 59

        // work through each column and calculate its type
        headrow = table.tHead.rows[0].cells; // stdhemi/test/testpage.js: 62
        for (var k = 0; k < headrow.length; k++) { // stdhemi/test/testpage.js: 63
            // manually override the type with a sorttable_type attribute
            if (!headrow[k].className.match(/\bsorttable_nosort\b/)) { // skip this col
                mtch = headrow[k].className.match(/\bsorttable_([a-z0-9]+)\b/); // stdhemi/test/testpage.js: 66
                if (mtch) { override = mtch[1]; } // stdhemi/test/testpage.js: 67
                if (mtch && typeof sorttable["sort_" + override] == 'function') { // stdhemi/test/testpage.js: 68
                    headrow[k].sorttable_sortfunction = sorttable["sort_" + override]; // stdhemi/test/testpage.js: 69
                } else { // stdhemi/test/testpage.js: 70
                    headrow[k].sorttable_sortfunction = sorttable.guessType(table, k); // stdhemi/test/testpage.js: 71
                } // stdhemi/test/testpage.js: 72
                // make it clickable to sort
                headrow[k].sorttable_columnindex = k; // stdhemi/test/testpage.js: 74
                headrow[k].sorttable_tbody = table.tBodies[0]; // stdhemi/test/testpage.js: 75
                _addEvent(headrow[k], "click", function(e) { // stdhemi/test/testpage.js: 76

                    if (this.className.search(/\bsorttable_sorted\b/) != -1) { // stdhemi/test/testpage.js: 78
                        // if we're already sorted by this column, just 
                        // reverse the table, which is quicker
                        sorttable.reverse(this.sorttable_tbody); // stdhemi/test/testpage.js: 81
                        this.className = this.className.replace('sorttable_sorted', // stdhemi/test/testpage.js: 82
                                                    'sorttable_sorted_reverse'); // stdhemi/test/testpage.js: 83
                        this.removeChild(document.getElementById('sorttable_sortfwdind')); // stdhemi/test/testpage.js: 84
                        sortrevind = document.createElement('span'); // stdhemi/test/testpage.js: 85
                        sortrevind.id = "sorttable_sortrevind"; // stdhemi/test/testpage.js: 86
                        sortrevind.innerHTML = IsIE() ? '&nbsp<font face="webdings">5</font>' : '&nbsp;&#x25B4;'; // stdhemi/test/testpage.js: 87
                        this.appendChild(sortrevind); // stdhemi/test/testpage.js: 88
                        return; // stdhemi/test/testpage.js: 89
                    } // stdhemi/test/testpage.js: 90
                    if (this.className.search(/\bsorttable_sorted_reverse\b/) != -1) { // stdhemi/test/testpage.js: 91
                        // if we're already sorted by this column in reverse, just 
                        // re-reverse the table, which is quicker
                        sorttable.reverse(this.sorttable_tbody); // stdhemi/test/testpage.js: 94
                        this.className = this.className.replace('sorttable_sorted_reverse', // stdhemi/test/testpage.js: 95
                                                    'sorttable_sorted'); // stdhemi/test/testpage.js: 96
                        this.removeChild(document.getElementById('sorttable_sortrevind')); // stdhemi/test/testpage.js: 97
                        sortfwdind = document.createElement('span'); // stdhemi/test/testpage.js: 98
                        sortfwdind.id = "sorttable_sortfwdind"; // stdhemi/test/testpage.js: 99
                        sortfwdind.innerHTML = IsIE() ? '&nbsp<font face="webdings">6</font>' : '&nbsp;&#x25BE;'; // stdhemi/test/testpage.js: 100
                        this.appendChild(sortfwdind); // stdhemi/test/testpage.js: 101
                        return; // stdhemi/test/testpage.js: 102
                    } // stdhemi/test/testpage.js: 103

                    // remove sorttable_sorted classes
                    theadrow = this.parentNode; // stdhemi/test/testpage.js: 106
                    forEach(theadrow.childNodes, function(cell) { // stdhemi/test/testpage.js: 107
                        if (cell.nodeType == 1) { // an element
                            cell.className = cell.className.replace('sorttable_sorted_reverse', ''); // stdhemi/test/testpage.js: 109
                            cell.className = cell.className.replace('sorttable_sorted', ''); // stdhemi/test/testpage.js: 110
                        } // stdhemi/test/testpage.js: 111
                    }); // stdhemi/test/testpage.js: 112
                    sortfwdind = document.getElementById('sorttable_sortfwdind'); // stdhemi/test/testpage.js: 113
                    if (sortfwdind) { sortfwdind.parentNode.removeChild(sortfwdind); } // stdhemi/test/testpage.js: 114
                    sortrevind = document.getElementById('sorttable_sortrevind'); // stdhemi/test/testpage.js: 115
                    if (sortrevind) { sortrevind.parentNode.removeChild(sortrevind); } // stdhemi/test/testpage.js: 116

                    this.className += ' sorttable_sorted'; // stdhemi/test/testpage.js: 118
                    sortfwdind = document.createElement('span'); // stdhemi/test/testpage.js: 119
                    sortfwdind.id = "sorttable_sortfwdind"; // stdhemi/test/testpage.js: 120
                    sortfwdind.innerHTML = IsIE() ? '&nbsp<font face="webdings">6</font>' : '&nbsp;&#x25BE;'; // stdhemi/test/testpage.js: 121
                    this.appendChild(sortfwdind); // stdhemi/test/testpage.js: 122

                    // build an array to sort. This is a Schwartzian transform thing,
                    // i.e., we "decorate" each row with the actual sort key,
                    // sort based on the sort keys, and then put the rows back in order
                    // which is a lot faster because you only do getInnerText once per row
                    row_array = []; // stdhemi/test/testpage.js: 128
                    col = this.sorttable_columnindex; // stdhemi/test/testpage.js: 129
                    rows = this.sorttable_tbody.rows; // stdhemi/test/testpage.js: 130
                    for (var m = 0; m < rows.length; m++) { // stdhemi/test/testpage.js: 131
                        row_array[row_array.length] = [sorttable.getInnerText(rows[m].cells[col]), rows[m]]; // stdhemi/test/testpage.js: 132
                    } // stdhemi/test/testpage.js: 133
                    /* If you want a stable sort, uncomment the following line */ // stdhemi/test/testpage.js: 134
                    //sorttable.shaker_sort(row_array, this.sorttable_sortfunction);
                    /* and comment out this one */ // stdhemi/test/testpage.js: 136
                    row_array.sort(this.sorttable_sortfunction); // stdhemi/test/testpage.js: 137
                    row_array.reverse(); // stdhemi/test/testpage.js: 138
                    tb = this.sorttable_tbody; // stdhemi/test/testpage.js: 139
                    for (var l = 0; l < row_array.length; l++) { // stdhemi/test/testpage.js: 140
                        tb.appendChild(row_array[l][1]); // stdhemi/test/testpage.js: 141
                    } // stdhemi/test/testpage.js: 142

                    delete row_array; // stdhemi/test/testpage.js: 144
                }); // stdhemi/test/testpage.js: 145
            } // stdhemi/test/testpage.js: 146
        } // stdhemi/test/testpage.js: 147
    }, // stdhemi/test/testpage.js: 148

    guessType: function(table, column) { // stdhemi/test/testpage.js: 150
        // guess the type of a column based on its first non-blank row
        sortfn = sorttable.sort_alpha; // stdhemi/test/testpage.js: 152
        for (var i = 0; i < table.tBodies[0].rows.length; i++) { // stdhemi/test/testpage.js: 153
            text = sorttable.getInnerText(table.tBodies[0].rows[i].cells[column]); // stdhemi/test/testpage.js: 154
            if (text != '') { // stdhemi/test/testpage.js: 155
                if (text.match(/^-?[£$¤]?[\d,.]+%?$/)) { // stdhemi/test/testpage.js: 156
                    return sorttable.sort_numeric; // stdhemi/test/testpage.js: 157
                } // stdhemi/test/testpage.js: 158
                // check for a date: dd/mm/yyyy or dd/mm/yy 
                // can have / or . or - as separator
                // can be mm/dd as well
                possdate = text.match(sorttable.DATE_RE) // stdhemi/test/testpage.js: 162
                if (possdate) { // stdhemi/test/testpage.js: 163
                    // looks like a date
                    first = parseInt(possdate[1]); // stdhemi/test/testpage.js: 165
                    second = parseInt(possdate[2]); // stdhemi/test/testpage.js: 166
                    if (first > 12) { // stdhemi/test/testpage.js: 167
                        // definitely dd/mm
                        return sorttable.sort_ddmm; // stdhemi/test/testpage.js: 169
                    } else if (second > 12) { // stdhemi/test/testpage.js: 170
                        return sorttable.sort_mmdd; // stdhemi/test/testpage.js: 171
                    } else { // stdhemi/test/testpage.js: 172
                        // looks like a date, but we can't tell which, so assume
                        // that it's dd/mm (English imperialism!) and keep looking
                        sortfn = sorttable.sort_ddmm; // stdhemi/test/testpage.js: 175
                    } // stdhemi/test/testpage.js: 176
                } // stdhemi/test/testpage.js: 177
            } // stdhemi/test/testpage.js: 178
        } // stdhemi/test/testpage.js: 179
        return sortfn; // stdhemi/test/testpage.js: 180
    }, // stdhemi/test/testpage.js: 181

    getInnerText: function(node) { // stdhemi/test/testpage.js: 183
        // gets the text we want to use for sorting for a cell.
        // strips leading and trailing whitespace.
        // this is *not* a generic getInnerText function; it's special to sorttable.
        // for example, you can override the cell text with a customkey attribute.
        // it also gets .value for <input> fields.

        hasInputs = (typeof node.getElementsByTagName == 'function') && // stdhemi/test/testpage.js: 190
                 node.getElementsByTagName('input').length; // stdhemi/test/testpage.js: 191

        if (node.getAttribute("sorttable_customkey") != null) { // stdhemi/test/testpage.js: 193
            return node.getAttribute("sorttable_customkey"); // stdhemi/test/testpage.js: 194
        } // stdhemi/test/testpage.js: 195
        else if (typeof node.textContent != 'undefined' && !hasInputs) { // stdhemi/test/testpage.js: 196
            return node.textContent.replace(/^\s+|\s+$/g, ''); // stdhemi/test/testpage.js: 197
        } // stdhemi/test/testpage.js: 198
        else if (typeof node.innerText != 'undefined' && !hasInputs) { // stdhemi/test/testpage.js: 199
            return node.innerText.replace(/^\s+|\s+$/g, ''); // stdhemi/test/testpage.js: 200
        } // stdhemi/test/testpage.js: 201
        else if (typeof node.text != 'undefined' && !hasInputs) { // stdhemi/test/testpage.js: 202
            return node.text.replace(/^\s+|\s+$/g, ''); // stdhemi/test/testpage.js: 203
        } // stdhemi/test/testpage.js: 204
        else { // stdhemi/test/testpage.js: 205
            switch (node.nodeType) { // stdhemi/test/testpage.js: 206
                case 3: // stdhemi/test/testpage.js: 207
                    if (node.nodeName.toLowerCase() == 'input') { // stdhemi/test/testpage.js: 208
                        return node.value.replace(/^\s+|\s+$/g, ''); // stdhemi/test/testpage.js: 209
                    } // stdhemi/test/testpage.js: 210
                case 4: // stdhemi/test/testpage.js: 211
                    return node.nodeValue.replace(/^\s+|\s+$/g, ''); // stdhemi/test/testpage.js: 212
                    break; // stdhemi/test/testpage.js: 213
                case 1: // stdhemi/test/testpage.js: 214
                case 11: // stdhemi/test/testpage.js: 215
                    var innerText = ''; // stdhemi/test/testpage.js: 216
                    for (var i = 0; i < node.childNodes.length; i++) { // stdhemi/test/testpage.js: 217
                        innerText += sorttable.getInnerText(node.childNodes[i]); // stdhemi/test/testpage.js: 218
                    } // stdhemi/test/testpage.js: 219
                    return innerText.replace(/^\s+|\s+$/g, ''); // stdhemi/test/testpage.js: 220
                    break; // stdhemi/test/testpage.js: 221
                default: // stdhemi/test/testpage.js: 222
                    return ''; // stdhemi/test/testpage.js: 223
            } // stdhemi/test/testpage.js: 224
        } // stdhemi/test/testpage.js: 225
    }, // stdhemi/test/testpage.js: 226

    reverse: function(tbody) { // stdhemi/test/testpage.js: 228
        // reverse the rows in a tbody
        newrows = []; // stdhemi/test/testpage.js: 230
        for (var i = 0; i < tbody.rows.length; i++) { // stdhemi/test/testpage.js: 231
            newrows[newrows.length] = tbody.rows[i]; // stdhemi/test/testpage.js: 232
        } // stdhemi/test/testpage.js: 233
        for (var j = newrows.length - 1; j >= 0; j--) { // stdhemi/test/testpage.js: 234
            tbody.appendChild(newrows[j]); // stdhemi/test/testpage.js: 235
        } // stdhemi/test/testpage.js: 236
        delete newrows; // stdhemi/test/testpage.js: 237
    }, // stdhemi/test/testpage.js: 238

    /* sort functions
    each sort function takes two parameters, a and b
    you are comparing a[0] and b[0] */ // stdhemi/test/testpage.js: 242
    sort_numeric: function(a, b) { // stdhemi/test/testpage.js: 243
        aa = parseFloat(a[0].replace(/[^0-9.-]/g, '')); // stdhemi/test/testpage.js: 244
        if (isNaN(aa)) aa = 0; // stdhemi/test/testpage.js: 245
        bb = parseFloat(b[0].replace(/[^0-9.-]/g, '')); // stdhemi/test/testpage.js: 246
        if (isNaN(bb)) bb = 0; // stdhemi/test/testpage.js: 247
        return aa - bb; // stdhemi/test/testpage.js: 248
    }, // stdhemi/test/testpage.js: 249
    sort_alpha: function(a, b) { // stdhemi/test/testpage.js: 250
        if (a[0] == b[0]) return 0; // stdhemi/test/testpage.js: 251
        if (a[0] < b[0]) return -1; // stdhemi/test/testpage.js: 252
        return 1; // stdhemi/test/testpage.js: 253
    }, // stdhemi/test/testpage.js: 254
    sort_ddmm: function(a, b) { // stdhemi/test/testpage.js: 255
        mtch = a[0].match(sorttable.DATE_RE); // stdhemi/test/testpage.js: 256
        y = mtch[3]; m = mtch[2]; d = mtch[1]; // stdhemi/test/testpage.js: 257
        if (m.length == 1) m = '0' + m; // stdhemi/test/testpage.js: 258
        if (d.length == 1) d = '0' + d; // stdhemi/test/testpage.js: 259
        dt1 = y + m + d; // stdhemi/test/testpage.js: 260
        mtch = b[0].match(sorttable.DATE_RE); // stdhemi/test/testpage.js: 261
        y = mtch[3]; m = mtch[2]; d = mtch[1]; // stdhemi/test/testpage.js: 262
        if (m.length == 1) m = '0' + m; // stdhemi/test/testpage.js: 263
        if (d.length == 1) d = '0' + d; // stdhemi/test/testpage.js: 264
        dt2 = y + m + d; // stdhemi/test/testpage.js: 265
        if (dt1 == dt2) return 0; // stdhemi/test/testpage.js: 266
        if (dt1 < dt2) return -1; // stdhemi/test/testpage.js: 267
        return 1; // stdhemi/test/testpage.js: 268
    }, // stdhemi/test/testpage.js: 269
    sort_mmdd: function(a, b) { // stdhemi/test/testpage.js: 270
        mtch = a[0].match(sorttable.DATE_RE); // stdhemi/test/testpage.js: 271
        y = mtch[3]; d = mtch[2]; m = mtch[1]; // stdhemi/test/testpage.js: 272
        if (m.length == 1) m = '0' + m; // stdhemi/test/testpage.js: 273
        if (d.length == 1) d = '0' + d; // stdhemi/test/testpage.js: 274
        dt1 = y + m + d; // stdhemi/test/testpage.js: 275
        mtch = b[0].match(sorttable.DATE_RE); // stdhemi/test/testpage.js: 276
        y = mtch[3]; d = mtch[2]; m = mtch[1]; // stdhemi/test/testpage.js: 277
        if (m.length == 1) m = '0' + m; // stdhemi/test/testpage.js: 278
        if (d.length == 1) d = '0' + d; // stdhemi/test/testpage.js: 279
        dt2 = y + m + d; // stdhemi/test/testpage.js: 280
        if (dt1 == dt2) return 0; // stdhemi/test/testpage.js: 281
        if (dt1 < dt2) return -1; // stdhemi/test/testpage.js: 282
        return 1; // stdhemi/test/testpage.js: 283
    }, // stdhemi/test/testpage.js: 284

    shaker_sort: function(list, comp_func) { // stdhemi/test/testpage.js: 286
        // A stable sort function to allow multi-level sorting of data
        // see: http://en.wikipedia.org/wiki/Cocktail_sort
        var b = 0; // stdhemi/test/testpage.js: 289
        var t = list.length - 1; // stdhemi/test/testpage.js: 290
        var swap = true; // stdhemi/test/testpage.js: 291

        while (swap) { // stdhemi/test/testpage.js: 293
            swap = false; // stdhemi/test/testpage.js: 294
            for (var i = b; i < t; ++i) { // stdhemi/test/testpage.js: 295
                if (comp_func(list[i], list[i + 1]) > 0) { // stdhemi/test/testpage.js: 296
                    var q = list[i]; list[i] = list[i + 1]; list[i + 1] = q; // stdhemi/test/testpage.js: 297
                    swap = true; // stdhemi/test/testpage.js: 298
                } // stdhemi/test/testpage.js: 299
            } // for
            t--; // stdhemi/test/testpage.js: 301

            if (!swap) break; // stdhemi/test/testpage.js: 303

            for (var j = t; j > b; --j) { // stdhemi/test/testpage.js: 305
                if (comp_func(list[j], list[j - 1]) < 0) { // stdhemi/test/testpage.js: 306
                    var r = list[j]; list[j] = list[j - 1]; list[j - 1] = r; // stdhemi/test/testpage.js: 307
                    swap = true; // stdhemi/test/testpage.js: 308
                } // stdhemi/test/testpage.js: 309
            } // for
            b++; // stdhemi/test/testpage.js: 311

        } // while(swap)
    } // stdhemi/test/testpage.js: 314
} // stdhemi/test/testpage.js: 315


/* for Mozilla/Opera9 */ // stdhemi/test/testpage.js: 318
if (document.addEventListener) { // stdhemi/test/testpage.js: 319
    document.addEventListener("DOMContentLoaded", sorttable.init, false); // stdhemi/test/testpage.js: 320
} // stdhemi/test/testpage.js: 321

/* for Internet Explorer */ // stdhemi/test/testpage.js: 323
/*@cc_on@*/ // stdhemi/test/testpage.js: 324
/*@if (@_win32)
document.write("<script id=__ie_onload defer src=javascript:void(0)><\/script>");
var script = document.getElementById("__ie_onload");
script.onreadystatechange = function() {
    if (this.readyState == "complete") {
        sorttable.init(); // call the onload handler
    }
};
/*@end@*/ // stdhemi/test/testpage.js: 333

/* for Safari */ // stdhemi/test/testpage.js: 335
if (/WebKit/i.test(navigator.userAgent)) { // sniff
    var _timer = setInterval(function() { // stdhemi/test/testpage.js: 337
        if (/loaded|complete/.test(document.readyState)) { // stdhemi/test/testpage.js: 338
            sorttable.init(); // call the onload handler
        } // stdhemi/test/testpage.js: 340
    }, 10); // stdhemi/test/testpage.js: 341
} // stdhemi/test/testpage.js: 342

/* for other browsers */ // stdhemi/test/testpage.js: 344
window.onload = sorttable.init; // stdhemi/test/testpage.js: 345

function _addEvent(element, type, handler) { // stdhemi/test/testpage.js: 347
    if (element.addEventListener) { // stdhemi/test/testpage.js: 348
        element.addEventListener(type, handler, false); // stdhemi/test/testpage.js: 349
    } else { // stdhemi/test/testpage.js: 350
        // assign each event handler a unique ID
        if (!handler.$$guid) handler.$$guid = _addEvent.guid++; // stdhemi/test/testpage.js: 352
        // create a hash table of event types for the element
        if (!element.events) element.events = {}; // stdhemi/test/testpage.js: 354
        // create a hash table of event handlers for each element/event pair
        var handlers = element.events[type]; // stdhemi/test/testpage.js: 356
        if (!handlers) { // stdhemi/test/testpage.js: 357
            handlers = element.events[type] = {}; // stdhemi/test/testpage.js: 358
            // store the existing event handler (if there is one)
            if (element["on" + type]) { // stdhemi/test/testpage.js: 360
                handlers[0] = element["on" + type]; // stdhemi/test/testpage.js: 361
            } // stdhemi/test/testpage.js: 362
        } // stdhemi/test/testpage.js: 363
        // store the event handler in the hash table
        handlers[handler.$$guid] = handler; // stdhemi/test/testpage.js: 365
        // assign a global event handler to do all the work
        element["on" + type] = handleEvent; // stdhemi/test/testpage.js: 367
    } // stdhemi/test/testpage.js: 368
}; // stdhemi/test/testpage.js: 369
// a counter used to create unique IDs
_addEvent.guid = 1; // stdhemi/test/testpage.js: 371

function removeEvent(element, type, handler) { // stdhemi/test/testpage.js: 373
    if (element.removeEventListener) { // stdhemi/test/testpage.js: 374
        element.removeEventListener(type, handler, false); // stdhemi/test/testpage.js: 375
    } else { // stdhemi/test/testpage.js: 376
        // delete the event handler from the hash table
        if (element.events && element.events[type]) { // stdhemi/test/testpage.js: 378
            delete element.events[type][handler.$$guid]; // stdhemi/test/testpage.js: 379
        } // stdhemi/test/testpage.js: 380
    } // stdhemi/test/testpage.js: 381
}; // stdhemi/test/testpage.js: 382

function handleEvent(event) { // stdhemi/test/testpage.js: 384
    var returnValue = true; // stdhemi/test/testpage.js: 385
    // grab the event object (IE uses a global event object)
    event = event || fixEvent(((this.ownerDocument || this.document || this).parentWindow || window).event); // stdhemi/test/testpage.js: 387
    // get a reference to the hash table of event handlers
    var handlers = this.events[event.type]; // stdhemi/test/testpage.js: 389
    // execute each event handler
    for (var i in handlers) { // stdhemi/test/testpage.js: 391
        this.$$handleEvent = handlers[i]; // stdhemi/test/testpage.js: 392
        if (this.$$handleEvent(event) === false) { // stdhemi/test/testpage.js: 393
            returnValue = false; // stdhemi/test/testpage.js: 394
        } // stdhemi/test/testpage.js: 395
    } // stdhemi/test/testpage.js: 396
    return returnValue; // stdhemi/test/testpage.js: 397
}; // stdhemi/test/testpage.js: 398

function fixEvent(event) { // stdhemi/test/testpage.js: 400
    // add W3C standard event methods
    event.preventDefault = fixEvent.preventDefault; // stdhemi/test/testpage.js: 402
    event.stopPropagation = fixEvent.stopPropagation; // stdhemi/test/testpage.js: 403
    return event; // stdhemi/test/testpage.js: 404
}; // stdhemi/test/testpage.js: 405
fixEvent.preventDefault = function() { // stdhemi/test/testpage.js: 406
    this.returnValue = false; // stdhemi/test/testpage.js: 407
}; // stdhemi/test/testpage.js: 408
fixEvent.stopPropagation = function() { // stdhemi/test/testpage.js: 409
    this.cancelBubble = true; // stdhemi/test/testpage.js: 410
} // stdhemi/test/testpage.js: 411

// array-like enumeration
if (!Array.forEach) { // mozilla already supports this
    Array.forEach = function(array, block, context) { // stdhemi/test/testpage.js: 415
        for (var i = 0; i < array.length; i++) { // stdhemi/test/testpage.js: 416
            block.call(context, array[i], i, array); // stdhemi/test/testpage.js: 417
        } // stdhemi/test/testpage.js: 418
    }; // stdhemi/test/testpage.js: 419
} // stdhemi/test/testpage.js: 420

// generic enumeration
Function.prototype.forEach = function(object, block, context) { // stdhemi/test/testpage.js: 423
    for (var key in object) { // stdhemi/test/testpage.js: 424
        if (typeof this.prototype[key] == "undefined") { // stdhemi/test/testpage.js: 425
            block.call(context, object[key], key, object); // stdhemi/test/testpage.js: 426
        } // stdhemi/test/testpage.js: 427
    } // stdhemi/test/testpage.js: 428
}; // stdhemi/test/testpage.js: 429

// character enumeration
String.forEach = function(string, block, context) { // stdhemi/test/testpage.js: 432
    Array.forEach(string.split(""), function(chr, index) { // stdhemi/test/testpage.js: 433
        block.call(context, chr, index, string); // stdhemi/test/testpage.js: 434
    }); // stdhemi/test/testpage.js: 435
}; // stdhemi/test/testpage.js: 436

// globally resolve forEach enumeration
var forEach = function(object, block, context) { // stdhemi/test/testpage.js: 439
    if (object) { // stdhemi/test/testpage.js: 440
        var resolve = Object; // default
        if (object instanceof Function) { // stdhemi/test/testpage.js: 442
            // functions have a "length" property
            resolve = Function; // stdhemi/test/testpage.js: 444
        } else if (object.forEach instanceof Function) { // stdhemi/test/testpage.js: 445
            // the object implements a custom forEach method so use that
            object.forEach(block, context); // stdhemi/test/testpage.js: 447
            return; // stdhemi/test/testpage.js: 448
        } else if (typeof object == "string") { // stdhemi/test/testpage.js: 449
            // the object is a string
            resolve = String; // stdhemi/test/testpage.js: 451
        } else if (typeof object.length == "number") { // stdhemi/test/testpage.js: 452
            // the object is array-like
            resolve = Array; // stdhemi/test/testpage.js: 454
        } // stdhemi/test/testpage.js: 455
        resolve.forEach(object, block, context); // stdhemi/test/testpage.js: 456
    } // stdhemi/test/testpage.js: 457
}; // stdhemi/test/testpage.js: 458

function ClickHeader(t) { // stdhemi/test/testpage.js: 460
    var _table = document.getElementById(t); // stdhemi/test/testpage.js: 461
    var _headrow = _table.tHead.rows[0].cells; // stdhemi/test/testpage.js: 462
    if (_headrow.length > 0) { // stdhemi/test/testpage.js: 463
        var cb = _headrow[1]; // stdhemi/test/testpage.js: 464
        if (navigator.userAgent.indexOf('Firefox/') != -1) { // stdhemi/test/testpage.js: 465
            var evt = document.createEvent("MouseEvents"); // stdhemi/test/testpage.js: 466
            evt.initMouseEvent("click", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null); // stdhemi/test/testpage.js: 467
            cb.dispatchEvent(evt); // stdhemi/test/testpage.js: 468
        } // stdhemi/test/testpage.js: 469
        else if (navigator.userAgent.indexOf('MSIE ') != -1) { // stdhemi/test/testpage.js: 470
            cb.click(); // stdhemi/test/testpage.js: 471
        } // stdhemi/test/testpage.js: 472
    } // stdhemi/test/testpage.js: 473
    else { // stdhemi/test/testpage.js: 474
        //Gkod.Trace.Log("generic.html - opa3t table is not ready", 3);
    } // stdhemi/test/testpage.js: 476
} // stdhemi/test/testpage.js: 477

function Ready() { // stdhemi/test/testpage.js: 479
    setTimeout(function() { ClickHeader('opa3t'); }, 100); // stdhemi/test/testpage.js: 480
} // stdhemi/test/testpage.js: 481

if (/testpage.html/.test(window.location.href)) { // stdhemi/test/testpage.js: 483
    window.location.href = "#anchor1"; // stdhemi/test/testpage.js: 484
    window.focus(); // stdhemi/test/testpage.js: 485
} // stdhemi/test/testpage.js: 486


var SMTestPage = { // stdhemi/test/testpage.js: 489
    Show: function(showtestpage) { // stdhemi/test/testpage.js: 490
        if (showtestpage == 1) { // stdhemi/test/testpage.js: 491
            this.Table1.Create(); // stdhemi/test/testpage.js: 492
            this.Table2.Create(); // stdhemi/test/testpage.js: 493
            this.Table3.Create(); // stdhemi/test/testpage.js: 494
            this.Table4.Create(); // stdhemi/test/testpage.js: 495
            this.Table5.Create(); // stdhemi/test/testpage.js: 496
        } // stdhemi/test/testpage.js: 497
        else if (showtestpage == 2) { // stdhemi/test/testpage.js: 498
            this.TableE.Create(); // stdhemi/test/testpage.js: 499
        } // stdhemi/test/testpage.js: 500
    }, // stdhemi/test/testpage.js: 501
    Table1: // stdhemi/test/testpage.js: 502
    { // stdhemi/test/testpage.js: 503
        Heads: ["ECID PARTS", "MAXHIT", "REMOVED BY MAXHIT", "MAXSEARCH", "ECID PARTS SEARCHED", "ECID PARTS DROPPED", "THRESHOLD (%)"/*, "REMOVED BY THRESHOLD"*/, "HIGHEST SCORE", "LOWEST SCORE BY THRESHOLD", "MINSCORE"/*, "REMOVED BY MINSCORE"*/], // stdhemi/test/testpage.js: 504
        TBody: "", // stdhemi/test/testpage.js: 505
        TFoot: "", // stdhemi/test/testpage.js: 506
        CreateHeaders: function() { // stdhemi/test/testpage.js: 507
            var aHead = []; // stdhemi/test/testpage.js: 508
            var stCellBegin = "<th>"; // stdhemi/test/testpage.js: 509
            var stCellEnd = "</th>"; // stdhemi/test/testpage.js: 510
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 511
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 512

            if (GenericSearch.DbSize > 0) { // stdhemi/test/testpage.js: 514
                Heads.push("SEARCHED"); // stdhemi/test/testpage.js: 515
                Heads.push("SEARCH DB SIZE"); // stdhemi/test/testpage.js: 516
            } // stdhemi/test/testpage.js: 517
            var _t = SMTestPage.Table1.Heads; // stdhemi/test/testpage.js: 518
            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 519
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 520
                aHead.push(stCellBegin + _t[i] + stCellEnd); // stdhemi/test/testpage.js: 521
            } // stdhemi/test/testpage.js: 522
            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 523

            var stHead = "<thead>" + aHead.join('') + "</thead>"; // stdhemi/test/testpage.js: 525
            SMTestPage.Table1.THead = stHead; // stdhemi/test/testpage.js: 526
        }, // stdhemi/test/testpage.js: 527
        CreateRows: function() { // stdhemi/test/testpage.js: 528
            var aBody = []; // stdhemi/test/testpage.js: 529
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 530
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 531
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 532
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 533
            var ecidCountUnfiltered = GenericSearch.EcidArray.length + GenericSearch.FilteredbyMaxSearch.length; // stdhemi/test/testpage.js: 534

            aBody.push(stRowBegin); // stdhemi/test/testpage.js: 536
            aBody.push(stCellBegin + ecidCountUnfiltered + stCellEnd); // stdhemi/test/testpage.js: 537
            aBody.push(stCellBegin + GenericSearch.Variables.maxhit + stCellEnd); // stdhemi/test/testpage.js: 538
            aBody.push(stCellBegin + GenericSearch.FilteredbyMaxHit.length + stCellEnd); // stdhemi/test/testpage.js: 539
            aBody.push(stCellBegin + GenericSearch.Variables.maxsearch + stCellEnd); // stdhemi/test/testpage.js: 540
            aBody.push(stCellBegin + GenericSearch.Variables.adjusted_maxsearch + stCellEnd); // stdhemi/test/testpage.js: 541
            aBody.push(stCellBegin + GenericSearch.FilteredbyMaxSearch.length + stCellEnd); // stdhemi/test/testpage.js: 542
            aBody.push(stCellBegin + GenericSearch.Variables.threshold + stCellEnd); // stdhemi/test/testpage.js: 543
            aBody.push(stCellBegin + GenericSearch.HighScore + stCellEnd); // stdhemi/test/testpage.js: 544
            aBody.push(stCellBegin + GenericSearch.LowScore + stCellEnd); // stdhemi/test/testpage.js: 545
            //aBody.push(stCellBegin + GenericSearch.FilteredbyThreshold.length + stCellEnd);            
            //aBody.push(stCellBegin + GenericSearch.FilteredbyMinScore.length + stCellEnd);
            aBody.push(stCellBegin + (GenericSearch.Variables.minscore / 100).toFixed(2) + stCellEnd); // stdhemi/test/testpage.js: 548
            if (GenericSearch.DbSize > 0) { // stdhemi/test/testpage.js: 549
                aBody.push(stCellBegin + GenericSearch.DbSearchedSize + stCellEnd); // stdhemi/test/testpage.js: 550
                aBody.push(stCellBegin + GenericSearch.DbSize + stCellEnd); // stdhemi/test/testpage.js: 551
            } // stdhemi/test/testpage.js: 552

            aBody.push(stRowEnd); // stdhemi/test/testpage.js: 554

            var stTable = "<tbody>" + aBody.join('') + "</tbody>"; // stdhemi/test/testpage.js: 556
            SMTestPage.Table1.TBody = stTable; // stdhemi/test/testpage.js: 557
        }, // stdhemi/test/testpage.js: 558
        Create: function() { // stdhemi/test/testpage.js: 559
            this.CreateHeaders(); // stdhemi/test/testpage.js: 560
            this.CreateRows(); // stdhemi/test/testpage.js: 561

            //Create table
            var div = GenericSearch.Utility.TestWindow.document.getElementById("opa1"); // stdhemi/test/testpage.js: 564
            div.innerHTML = "<table class=sortable1 border=1>" + SMTestPage.Table1.THead + SMTestPage.Table1.TBody + SMTestPage.Table1.TFoot + "</table>"; // stdhemi/test/testpage.js: 565

            //var div1f = GenericSearch.Utility.TestWindow.document.getElementById("opa1f"); 
            //div1f.innerHTML = "<span>A. MAXSEARCH = adjusted maxsearch</span>";
        } // stdhemi/test/testpage.js: 569
    }, // stdhemi/test/testpage.js: 570
    Table2: // stdhemi/test/testpage.js: 571
    { // stdhemi/test/testpage.js: 572
        THead: "", // stdhemi/test/testpage.js: 573
        Heads: ["PREFIX", "CAPTION", "VALUE", "WEIGHT"], // stdhemi/test/testpage.js: 574
        TBody: "", // stdhemi/test/testpage.js: 575
        Rows: [], // stdhemi/test/testpage.js: 576
        TFoot: "", // stdhemi/test/testpage.js: 577
        CreateHeaders: function() { // stdhemi/test/testpage.js: 578
            var aHead = []; // stdhemi/test/testpage.js: 579
            var stCellBegin = "<th>"; // stdhemi/test/testpage.js: 580
            var stCellEnd = "</th>"; // stdhemi/test/testpage.js: 581
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 582
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 583

            var _t = SMTestPage.Table2.Heads; // stdhemi/test/testpage.js: 585
            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 586
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 587
                aHead.push(stCellBegin + _t[i] + stCellEnd); // stdhemi/test/testpage.js: 588
            } // stdhemi/test/testpage.js: 589

            var _k = GenericSearch.FramesWithHits; // stdhemi/test/testpage.js: 591
            for (var j = 0, n = _k.length; j < n; j++) { // stdhemi/test/testpage.js: 592
                aHead.push(stCellBegin + _k[j] + stCellEnd); // stdhemi/test/testpage.js: 593
            } // stdhemi/test/testpage.js: 594

            aHead.push(stCellBegin + "HITS" + stCellEnd); // stdhemi/test/testpage.js: 596
            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 597

            var stHead = "<thead>" + aHead.join('') + "</thead>"; // stdhemi/test/testpage.js: 599
            SMTestPage.Table2.THead = stHead; // stdhemi/test/testpage.js: 600
        }, // stdhemi/test/testpage.js: 601
        CreateRows: function() { // stdhemi/test/testpage.js: 602
            var aBody = []; // stdhemi/test/testpage.js: 603
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 604
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 605
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 606
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 607
            var _t = SMTestPage.Table2.Rows; // stdhemi/test/testpage.js: 608
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 609
                if (_t[i].length > 0) { // stdhemi/test/testpage.js: 610
                    aBody.push(stRowBegin); // stdhemi/test/testpage.js: 611
                    for (var j = 0; j < _t[i].length; j++) { // stdhemi/test/testpage.js: 612
                        aBody.push(stCellBegin + _t[i][j] + stCellEnd); // stdhemi/test/testpage.js: 613
                    } // stdhemi/test/testpage.js: 614
                    aBody.push(stRowEnd); // stdhemi/test/testpage.js: 615
                } // stdhemi/test/testpage.js: 616
            } // stdhemi/test/testpage.js: 617
            var stTable = "<tbody>" + aBody.join('') + "</tbody>"; // stdhemi/test/testpage.js: 618
            SMTestPage.Table2.TBody = stTable; // stdhemi/test/testpage.js: 619
        }, // stdhemi/test/testpage.js: 620
        CreateFooters: function() { // stdhemi/test/testpage.js: 621
            var aHead = []; // stdhemi/test/testpage.js: 622
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 623
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 624
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 625
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 626

            var _t = SMTestPage.Table2.Heads; // stdhemi/test/testpage.js: 628
            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 629
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 630
                aHead.push(stCellBegin); // stdhemi/test/testpage.js: 631
                aHead.push(_t[i]); // stdhemi/test/testpage.js: 632
                aHead.push(stCellEnd); // stdhemi/test/testpage.js: 633
            } // stdhemi/test/testpage.js: 634

            var _k = GenericSearch.FramesWithHits; // stdhemi/test/testpage.js: 636
            for (var j = 0, n = _k.length; j < n; j++) { // stdhemi/test/testpage.js: 637
                aHead.push(stCellBegin); // stdhemi/test/testpage.js: 638
                aHead.push(_k[j]); // stdhemi/test/testpage.js: 639
                aHead.push(stCellEnd); // stdhemi/test/testpage.js: 640
            } // stdhemi/test/testpage.js: 641

            aHead.push(stCellBegin); // stdhemi/test/testpage.js: 643
            aHead.push("HITS"); // stdhemi/test/testpage.js: 644
            aHead.push(stCellEnd); // stdhemi/test/testpage.js: 645

            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 647

            var st2ndFoot = this.AddSummaryRow(); // stdhemi/test/testpage.js: 649
            var stFoot = "<tfoot>" + aHead.join('') + st2ndFoot + "</tfoot>"; // stdhemi/test/testpage.js: 650
            SMTestPage.Table2.TFoot = stFoot; // stdhemi/test/testpage.js: 651
        }, // stdhemi/test/testpage.js: 652
        AddSummaryRow: function() { // stdhemi/test/testpage.js: 653
            var aHead = []; // stdhemi/test/testpage.js: 654
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 655
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 656
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 657
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 658

            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 660
            for (var i = 0; i < 3; i++) { // stdhemi/test/testpage.js: 661
                aHead.push(stCellBegin); // stdhemi/test/testpage.js: 662
                aHead.push(stCellEnd); // stdhemi/test/testpage.js: 663
            } // stdhemi/test/testpage.js: 664

            aHead.push(stCellBegin); // stdhemi/test/testpage.js: 666
            aHead.push(GenericSearch.AllScore.toString()); // stdhemi/test/testpage.js: 667
            aHead.push(stCellEnd); // stdhemi/test/testpage.js: 668

            var col = 4; // stdhemi/test/testpage.js: 670
            var _k = GenericSearch.FramesWithHits; // stdhemi/test/testpage.js: 671
            for (var j = 0, n = _k.length; j < n; j++) { // stdhemi/test/testpage.js: 672
                var _object = GenericSearch.TopicList._tmap[_k[j] - 1]; // stdhemi/test/testpage.js: 673
                if (typeof (_object) == "object" && _object != null) { // stdhemi/test/testpage.js: 674
                    if (_object.score > 0 && _object.frameid != -1) { // stdhemi/test/testpage.js: 675
                        aHead.push(stCellBegin); // stdhemi/test/testpage.js: 676
                        aHead.push(_object.hits.toString()); // stdhemi/test/testpage.js: 677
                        aHead.push(stCellEnd); // stdhemi/test/testpage.js: 678
                    } // stdhemi/test/testpage.js: 679
                } // stdhemi/test/testpage.js: 680
            } // stdhemi/test/testpage.js: 681

            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 683
            var _ret = aHead.join(""); // stdhemi/test/testpage.js: 684

            return _ret; // stdhemi/test/testpage.js: 686
        }, // stdhemi/test/testpage.js: 687
        CreateTableData: function() { // stdhemi/test/testpage.js: 688
            for (var i = 0; i < GenericSearch.EcidArray.length; i++) { // stdhemi/test/testpage.js: 689
                SMTestPage.Table2.Rows[i] = []; // stdhemi/test/testpage.js: 690
                var item = GenericSearch.EcidArray[i]; // stdhemi/test/testpage.js: 691
                if (item.List.length > 0 && item.List[0] > -1) { // stdhemi/test/testpage.js: 692
                    SMTestPage.Table2.Rows[i].push(GenericSearch.Utility.GetPrefix(item)); // stdhemi/test/testpage.js: 693
                    SMTestPage.Table2.Rows[i].push(GenericSearch.Utility.GetCaption(item)); // stdhemi/test/testpage.js: 694
                    SMTestPage.Table2.Rows[i].push(GenericSearch.Utility.GetEcid(item)); // stdhemi/test/testpage.js: 695
                    SMTestPage.Table2.Rows[i].push(GenericSearch.Utility.GetWeight(item)); // stdhemi/test/testpage.js: 696
                    var col = 4; // stdhemi/test/testpage.js: 697
                    var allhits = 0; // stdhemi/test/testpage.js: 698
                    for (var j = 0, n = GenericSearch.FramesWithHits.length; j < n; j++) { // stdhemi/test/testpage.js: 699
                        //Gkod.Trace.Write("GenericSearch:CreateTableData - row[" + i + "] col[" + j + "]", 3);	    
                        var zero = true; // stdhemi/test/testpage.js: 701
                        for (var k = 0; k < item.List.length; k++) { // stdhemi/test/testpage.js: 702
                            //Gkod.Trace.Log("rows - item.Ctx.Expr="+item.Expr+" j="+j + " k="+k + " item.List[k]="+item.List[k]);
                            if (item.List[k] == GenericSearch.FramesWithHits[j] && item.List[k] > 0) { // stdhemi/test/testpage.js: 704
                                zero = false; // stdhemi/test/testpage.js: 705
                                break; // stdhemi/test/testpage.js: 706
                            } // stdhemi/test/testpage.js: 707
                        } // stdhemi/test/testpage.js: 708
                        if (zero) // stdhemi/test/testpage.js: 709
                            SMTestPage.Table2.Rows[i].push("0"); // stdhemi/test/testpage.js: 710
                        else { // stdhemi/test/testpage.js: 711
                            SMTestPage.Table2.Rows[i].push("1"); // stdhemi/test/testpage.js: 712
                            allhits++; // stdhemi/test/testpage.js: 713
                        } // stdhemi/test/testpage.js: 714
                    } // stdhemi/test/testpage.js: 715
                    SMTestPage.Table2.Rows[i].push(allhits.toString()); // stdhemi/test/testpage.js: 716
                } // stdhemi/test/testpage.js: 717
            } // stdhemi/test/testpage.js: 718
        }, // stdhemi/test/testpage.js: 719
        Create: function() { // stdhemi/test/testpage.js: 720
            this.CreateTableData(); // stdhemi/test/testpage.js: 721

            this.CreateHeaders(); // stdhemi/test/testpage.js: 723
            this.CreateRows(); // stdhemi/test/testpage.js: 724
            this.CreateFooters(); // stdhemi/test/testpage.js: 725

            //Create table
            if (SMTestPage.Table2.Rows.length > 0) { // stdhemi/test/testpage.js: 728
                var div = GenericSearch.Utility.TestWindow.document.getElementById("opa2"); // stdhemi/test/testpage.js: 729
                div.innerHTML = "<table class=sortable border=1>" + SMTestPage.Table2.THead + SMTestPage.Table2.TBody + SMTestPage.Table2.TFoot + "</table>"; // stdhemi/test/testpage.js: 730
            } // stdhemi/test/testpage.js: 731
        } // stdhemi/test/testpage.js: 732
    }, // stdhemi/test/testpage.js: 733
    Table3: // stdhemi/test/testpage.js: 734
    { // stdhemi/test/testpage.js: 735
        THead: "", // stdhemi/test/testpage.js: 736
        Heads: ["TOPIC NAME", "ABSOLUTE SCORE", "NORMALIZED SCORE", "HITS", /*"FRAME ID",*/"SEARCH ID"], // stdhemi/test/testpage.js: 737
        TBody: "", // stdhemi/test/testpage.js: 738
        Rows: [], // stdhemi/test/testpage.js: 739
        TFoot: "", // stdhemi/test/testpage.js: 740
        CreateHeaders: function() { // stdhemi/test/testpage.js: 741
            //this.Heads  = ["TOPIC NAME", /*"TOPIC GUID", */"A. SCORE", "W. SCORE", "HITS", "FRAME ID", "SEARCH ID"];
            var aHead = []; // stdhemi/test/testpage.js: 743
            var stCellBegin = "<th>"; // stdhemi/test/testpage.js: 744
            var stCellEnd = "</th>"; // stdhemi/test/testpage.js: 745
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 746
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 747

            var _t = SMTestPage.Table3.Heads; // stdhemi/test/testpage.js: 749
            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 750
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 751
                aHead.push(stCellBegin + _t[i] + stCellEnd); // stdhemi/test/testpage.js: 752
            } // stdhemi/test/testpage.js: 753
            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 754
            var stHead = "<thead>" + aHead.join('') + "</thead>"; // stdhemi/test/testpage.js: 755
            SMTestPage.Table3.THead = stHead; // stdhemi/test/testpage.js: 756
        }, // stdhemi/test/testpage.js: 757
        CreateTableData: function() { // stdhemi/test/testpage.js: 758
            var item = 0; // stdhemi/test/testpage.js: 759
            for (var i = 0, n = GenericSearch.TopicList._tmap.length, z = GenericSearch.TopicList._tmap[i]; i < n; i++) { // stdhemi/test/testpage.js: 760
                if (z.frameid != -1 && z.score > 0) //not topic
                { // stdhemi/test/testpage.js: 762
                    SMTestPage.Table3.Rows[item] = []; // stdhemi/test/testpage.js: 763
                    SMTestPage.Table3.Rows[item].push(GenericSearch.TopicList.GetName(i)); // stdhemi/test/testpage.js: 764
                    //SMTestPage.Table3.Rows[item].push(GenericSearch.TopicList.GetGuid(i));                    
                    SMTestPage.Table3.Rows[item].push(z.ascore); // stdhemi/test/testpage.js: 766
                    SMTestPage.Table3.Rows[item].push(z.score); // stdhemi/test/testpage.js: 767
                    SMTestPage.Table3.Rows[item].push(z.hits); // stdhemi/test/testpage.js: 768
                    //SMTestPage.Table3.Rows[item].push(GenericSearch.Utility.Dec2Hex(parseInt(GenericSearch.TopicList.GetFrameid(i))));
                    //SMTestPage.Table3.Rows[item].push("N/A");
                    SMTestPage.Table3.Rows[item].push(GenericSearch.TopicList.GetIndex(i)); // stdhemi/test/testpage.js: 771
                    item++; // stdhemi/test/testpage.js: 772
                } // stdhemi/test/testpage.js: 773
            } // stdhemi/test/testpage.js: 774
        }, // stdhemi/test/testpage.js: 775
        CreateRows: function() { // stdhemi/test/testpage.js: 776
            var aBody = []; // stdhemi/test/testpage.js: 777
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 778
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 779
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 780
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 781
            //Gkod.Trace.Write("GenericSearch:_callBack - CreateRows - begin", 3);	
            var _t = SMTestPage.Table3.Rows; // stdhemi/test/testpage.js: 783
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 784
                aBody.push(stRowBegin); // stdhemi/test/testpage.js: 785
                for (var j = 0; j < _t[i].length; j++) { // stdhemi/test/testpage.js: 786
                    aBody.push(stCellBegin + _t[i][j] + stCellEnd); // stdhemi/test/testpage.js: 787
                } // stdhemi/test/testpage.js: 788
                aBody.push(stRowEnd); // stdhemi/test/testpage.js: 789
            } // stdhemi/test/testpage.js: 790
            var stTable = "<tbody>" + aBody.join('') + "</tbody>"; // stdhemi/test/testpage.js: 791
            SMTestPage.Table3.TBody = stTable; // stdhemi/test/testpage.js: 792
        }, // stdhemi/test/testpage.js: 793
        Create: function() { // stdhemi/test/testpage.js: 794
            this.CreateTableData(); // stdhemi/test/testpage.js: 795

            this.CreateHeaders(); // stdhemi/test/testpage.js: 797
            this.CreateRows(); // stdhemi/test/testpage.js: 798

            //Create table
            if (SMTestPage.Table3.Rows.length > 0) { // stdhemi/test/testpage.js: 801
                var div = GenericSearch.Utility.TestWindow.document.getElementById("opa3"); // stdhemi/test/testpage.js: 802
                //Gkod.Trace.Write("GenericSearch:Table3.Create - div=" + typeof(div), 3);
                div.innerHTML = "<table id=opa3t class=sortable border=1>" + SMTestPage.Table3.THead + SMTestPage.Table3.TBody + SMTestPage.Table3.TFoot + "</table>"; // stdhemi/test/testpage.js: 804
                //var table = GenericSearch.Utility.TestWindow.document.getElementById("opa3t");
                //Gkod.Trace.Write("GenericSearch:Table3.Create - table=" + typeof(table), 3);
                //var div3f = GenericSearch.Utility.TestWindow.document.getElementById("opa3f"); 
                //div3f.innerHTML = "<span>A. SCORE = absolute score; N. SCORE = normalized score</span>";
                GenericSearch.Utility.TestWindow.Ready(); // stdhemi/test/testpage.js: 809
            } // stdhemi/test/testpage.js: 810
        } // stdhemi/test/testpage.js: 811
    }, // stdhemi/test/testpage.js: 812
    Table4: // stdhemi/test/testpage.js: 813
    { // stdhemi/test/testpage.js: 814
        Heads: ["PREFIX (FILTERED OUT BY MAXHIT)", "CAPTION", "VALUE", "WEIGHT", "HITS"], // stdhemi/test/testpage.js: 815
        TBody: "", // stdhemi/test/testpage.js: 816
        Rows: [], // stdhemi/test/testpage.js: 817
        TFoot: "", // stdhemi/test/testpage.js: 818
        CreateHeaders: function() { // stdhemi/test/testpage.js: 819
            var aHead = []; // stdhemi/test/testpage.js: 820
            var stCellBegin = "<th>"; // stdhemi/test/testpage.js: 821
            var stCellEnd = "</th>"; // stdhemi/test/testpage.js: 822
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 823
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 824

            var _t = SMTestPage.Table4.Heads; // stdhemi/test/testpage.js: 826
            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 827
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 828
                aHead.push(stCellBegin + _t[i] + stCellEnd); // stdhemi/test/testpage.js: 829
            } // stdhemi/test/testpage.js: 830
            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 831

            var stHead = "<thead>" + aHead.join('') + "</thead>"; // stdhemi/test/testpage.js: 833
            SMTestPage.Table4.THead = stHead; // stdhemi/test/testpage.js: 834
        }, // stdhemi/test/testpage.js: 835
        CreateTableData: function() { // stdhemi/test/testpage.js: 836
            for (var i = 0; i < GenericSearch.FilteredbyMaxHit.length; i++) { // stdhemi/test/testpage.js: 837
                SMTestPage.Table4.Rows[i] = []; // stdhemi/test/testpage.js: 838
                var item = GenericSearch.FilteredbyMaxHit[i]; // stdhemi/test/testpage.js: 839
                SMTestPage.Table4.Rows[i].push(GenericSearch.Utility.GetPrefix(item)); // stdhemi/test/testpage.js: 840
                SMTestPage.Table4.Rows[i].push(GenericSearch.Utility.GetCaption(item)); // stdhemi/test/testpage.js: 841
                SMTestPage.Table4.Rows[i].push(GenericSearch.Utility.GetEcid(item)); // stdhemi/test/testpage.js: 842
                SMTestPage.Table4.Rows[i].push(GenericSearch.Utility.GetWeight(item)); // stdhemi/test/testpage.js: 843
                SMTestPage.Table4.Rows[i].push(item.Hits); // stdhemi/test/testpage.js: 844
            } // stdhemi/test/testpage.js: 845
        }, // stdhemi/test/testpage.js: 846
        CreateRows: function() { // stdhemi/test/testpage.js: 847
            var aBody = []; // stdhemi/test/testpage.js: 848
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 849
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 850
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 851
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 852
            var _t = SMTestPage.Table4.Rows; // stdhemi/test/testpage.js: 853
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 854
                aBody.push(stRowBegin); // stdhemi/test/testpage.js: 855
                for (var j = 0; j < _t[i].length; j++) { // stdhemi/test/testpage.js: 856
                    aBody.push(stCellBegin + _t[i][j] + stCellEnd); // stdhemi/test/testpage.js: 857
                } // stdhemi/test/testpage.js: 858
                aBody.push(stRowEnd); // stdhemi/test/testpage.js: 859
            } // stdhemi/test/testpage.js: 860
            var stTable = "<tbody>" + aBody.join('') + "</tbody>"; // stdhemi/test/testpage.js: 861
            SMTestPage.Table4.TBody = stTable; // stdhemi/test/testpage.js: 862
        }, // stdhemi/test/testpage.js: 863
        Create: function() { // stdhemi/test/testpage.js: 864
            this.CreateTableData(); // stdhemi/test/testpage.js: 865

            this.CreateHeaders(); // stdhemi/test/testpage.js: 867
            this.CreateRows(); // stdhemi/test/testpage.js: 868

            //Create table
            if (SMTestPage.Table4.Rows.length > 0) { // stdhemi/test/testpage.js: 871
                var div = GenericSearch.Utility.TestWindow.document.getElementById("opa4"); // stdhemi/test/testpage.js: 872
                div.innerHTML = "<table class=sortable border=1>" + SMTestPage.Table4.THead + SMTestPage.Table4.TBody + SMTestPage.Table4.TFoot + "</table>"; // stdhemi/test/testpage.js: 873
            } // stdhemi/test/testpage.js: 874
        } // stdhemi/test/testpage.js: 875
    }, // stdhemi/test/testpage.js: 876
    Table5: // stdhemi/test/testpage.js: 877
    { // stdhemi/test/testpage.js: 878
        Heads: ["PREFIX (DROPPED)", "CAPTION", "VALUE", "WEIGHT"], // stdhemi/test/testpage.js: 879
        TBody: "", // stdhemi/test/testpage.js: 880
        Rows: [], // stdhemi/test/testpage.js: 881
        TFoot: "", // stdhemi/test/testpage.js: 882
        CreateHeaders: function() { // stdhemi/test/testpage.js: 883
            var aHead = []; // stdhemi/test/testpage.js: 884
            var stCellBegin = "<th>"; // stdhemi/test/testpage.js: 885
            var stCellEnd = "</th>"; // stdhemi/test/testpage.js: 886
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 887
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 888

            var _t = SMTestPage.Table5.Heads; // stdhemi/test/testpage.js: 890
            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 891
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 892
                aHead.push(stCellBegin + _t[i] + stCellEnd); // stdhemi/test/testpage.js: 893
            } // stdhemi/test/testpage.js: 894
            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 895

            var stHead = "<thead>" + aHead.join('') + "</thead>"; // stdhemi/test/testpage.js: 897
            SMTestPage.Table5.THead = stHead; // stdhemi/test/testpage.js: 898
        }, // stdhemi/test/testpage.js: 899
        CreateTableData: function() { // stdhemi/test/testpage.js: 900
            for (var i = 0; i < GenericSearch.FilteredbyMaxSearch.length; i++) { // stdhemi/test/testpage.js: 901
                SMTestPage.Table5.Rows[i] = []; // stdhemi/test/testpage.js: 902
                var item = GenericSearch.FilteredbyMaxSearch[i]; // stdhemi/test/testpage.js: 903
                SMTestPage.Table5.Rows[i].push(GenericSearch.Utility.GetPrefix(item)); // stdhemi/test/testpage.js: 904
                SMTestPage.Table5.Rows[i].push(GenericSearch.Utility.GetCaption(item)); // stdhemi/test/testpage.js: 905
                SMTestPage.Table5.Rows[i].push(GenericSearch.Utility.GetEcid(item)); // stdhemi/test/testpage.js: 906
                SMTestPage.Table5.Rows[i].push(GenericSearch.Utility.GetWeight(item)); // stdhemi/test/testpage.js: 907
            } // stdhemi/test/testpage.js: 908
        }, // stdhemi/test/testpage.js: 909
        CreateRows: function() { // stdhemi/test/testpage.js: 910
            var aBody = []; // stdhemi/test/testpage.js: 911
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 912
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 913
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 914
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 915
            var _t = SMTestPage.Table5.Rows; // stdhemi/test/testpage.js: 916
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 917
                aBody.push(stRowBegin); // stdhemi/test/testpage.js: 918
                for (var j = 0; j < _t[i].length; j++) { // stdhemi/test/testpage.js: 919
                    aBody.push(stCellBegin + _t[i][j] + stCellEnd); // stdhemi/test/testpage.js: 920
                } // stdhemi/test/testpage.js: 921
                aBody.push(stRowEnd); // stdhemi/test/testpage.js: 922
            } // stdhemi/test/testpage.js: 923
            var stTable = "<tbody>" + aBody.join('') + "</tbody>"; // stdhemi/test/testpage.js: 924
            SMTestPage.Table5.TBody = stTable; // stdhemi/test/testpage.js: 925
        }, // stdhemi/test/testpage.js: 926
        Create: function() { // stdhemi/test/testpage.js: 927
            this.CreateTableData(); // stdhemi/test/testpage.js: 928

            this.CreateHeaders(); // stdhemi/test/testpage.js: 930
            this.CreateRows(); // stdhemi/test/testpage.js: 931

            //Create table
            if (SMTestPage.Table5.Rows.length > 0) { // stdhemi/test/testpage.js: 934
                var div = GenericSearch.Utility.TestWindow.document.getElementById("opa5"); // stdhemi/test/testpage.js: 935
                div.innerHTML = "<table class=sortable border=1>" + SMTestPage.Table5.THead + SMTestPage.Table5.TBody + SMTestPage.Table5.TFoot + "</table>"; // stdhemi/test/testpage.js: 936
            } // stdhemi/test/testpage.js: 937
        } // stdhemi/test/testpage.js: 938
    }, // stdhemi/test/testpage.js: 939
    TableE: // stdhemi/test/testpage.js: 940
    { // stdhemi/test/testpage.js: 941
        Heads: ["PREFIX", "CAPTION", "VALUE"], // stdhemi/test/testpage.js: 942
        TBody: "", // stdhemi/test/testpage.js: 943
        TFoot: "", // stdhemi/test/testpage.js: 944
        CreateHeaders: function() { // stdhemi/test/testpage.js: 945
            var aHead = []; // stdhemi/test/testpage.js: 946
            var stCellBegin = "<th>"; // stdhemi/test/testpage.js: 947
            var stCellEnd = "</th>"; // stdhemi/test/testpage.js: 948
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 949
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 950

            var _t = SMTestPage.TableE.Heads; // stdhemi/test/testpage.js: 952
            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 953
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 954
                aHead.push(stCellBegin + _t[i] + stCellEnd); // stdhemi/test/testpage.js: 955
            } // stdhemi/test/testpage.js: 956
            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 957

            var stHead = "<thead>" + aHead.join('') + "</thead>"; // stdhemi/test/testpage.js: 959
            SMTestPage.TableE.THead = stHead; // stdhemi/test/testpage.js: 960
        }, // stdhemi/test/testpage.js: 961
        CreateRows: function() { // stdhemi/test/testpage.js: 962
            var aBody = []; // stdhemi/test/testpage.js: 963
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 964
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 965
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 966
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 967

            for (var i = 0; i < GenericSearch.EcidArray.length; i++) { // stdhemi/test/testpage.js: 969
                aBody.push(stRowBegin); // stdhemi/test/testpage.js: 970
                var item = GenericSearch.EcidArray[i]; // stdhemi/test/testpage.js: 971
                aBody.push(stCellBegin + GenericSearch.Utility.GetPrefix(item) + stCellEnd); // stdhemi/test/testpage.js: 972
                aBody.push(stCellBegin + GenericSearch.Utility.GetCaption(item) + stCellEnd); // stdhemi/test/testpage.js: 973
                aBody.push(stCellBegin + GenericSearch.Utility.GetEcid(item) + stCellEnd); // stdhemi/test/testpage.js: 974
                aBody.push(stRowEnd); // stdhemi/test/testpage.js: 975
            } // stdhemi/test/testpage.js: 976

            var stTable = "<tbody>" + aBody.join('') + "</tbody>"; // stdhemi/test/testpage.js: 978
            SMTestPage.TableE.TBody = stTable; // stdhemi/test/testpage.js: 979
        }, // stdhemi/test/testpage.js: 980
        Create: function() { // stdhemi/test/testpage.js: 981
            this.CreateHeaders(); // stdhemi/test/testpage.js: 982
            this.CreateRows(); // stdhemi/test/testpage.js: 983

            //Create table
            var div = GenericSearch.Utility.TestWindow.document.getElementById("opa2"); // stdhemi/test/testpage.js: 986
            div.innerHTML = "<table class=sortable border=1>" + SMTestPage.TableE.THead + SMTestPage.TableE.TBody + SMTestPage.TableE.TFoot + "</table>"; // stdhemi/test/testpage.js: 987
        } // stdhemi/test/testpage.js: 988
    } // stdhemi/test/testpage.js: 989
} // stdhemi/test/testpage.js: 990

var EMTestPage = { // stdhemi/test/testpage.js: 992
    Test: { // stdhemi/test/testpage.js: 993
        'GatewayUrl': '', // stdhemi/test/testpage.js: 994
        'CurrentApplication': '', // stdhemi/test/testpage.js: 995
        'Mode': '', // stdhemi/test/testpage.js: 996
        'CurrentURL': '', // stdhemi/test/testpage.js: 997
        'CurrentLanguage': '', // stdhemi/test/testpage.js: 998
        'CurrentSearchExpression': '', // stdhemi/test/testpage.js: 999
        'CurrentSE': '', // stdhemi/test/testpage.js: 1000
        'HelpUrl': '' // stdhemi/test/testpage.js: 1001
    }, // stdhemi/test/testpage.js: 1002
    Show: function(z) { // stdhemi/test/testpage.js: 1003
        EMTestPage.Test = z; // stdhemi/test/testpage.js: 1004
        EMTestPage.EM_Table1.Create(); // stdhemi/test/testpage.js: 1005
        EMTestPage.EM_Table2.Create(); // stdhemi/test/testpage.js: 1006
    }, // stdhemi/test/testpage.js: 1007
    EM_Table1: { // stdhemi/test/testpage.js: 1008
        THead: '', // stdhemi/test/testpage.js: 1009
        Heads: ["VARIABLE", "VALUE"], // stdhemi/test/testpage.js: 1010
        TBody: "", // stdhemi/test/testpage.js: 1011
        TFoot: "", // stdhemi/test/testpage.js: 1012
        CreateHeaders: function() { // stdhemi/test/testpage.js: 1013
            var aHead = []; // stdhemi/test/testpage.js: 1014
            var stCellBegin = "<th>"; // stdhemi/test/testpage.js: 1015
            var stCellEnd = "</th>"; // stdhemi/test/testpage.js: 1016
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 1017
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 1018

            var _t = EMTestPage.EM_Table1.Heads; // stdhemi/test/testpage.js: 1020
            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 1021
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 1022
                aHead.push(stCellBegin + _t[i] + stCellEnd); // stdhemi/test/testpage.js: 1023
            } // stdhemi/test/testpage.js: 1024
            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 1025

            var stHead = "<thead>" + aHead.join('') + "</thead>"; // stdhemi/test/testpage.js: 1027
            EMTestPage.EM_Table1.THead = stHead; // stdhemi/test/testpage.js: 1028
        }, // stdhemi/test/testpage.js: 1029
        CreateRows: function() { // stdhemi/test/testpage.js: 1030
            var aBody = []; // stdhemi/test/testpage.js: 1031
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 1032
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 1033
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 1034
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 1035

            aBody.push(stRowBegin); // stdhemi/test/testpage.js: 1037
            aBody.push(stCellBegin + 'GATEWAY URL' + stCellEnd + stCellBegin + decodeURIComponent(EMTestPage.Test['GatewayUrl']) + stCellEnd); // stdhemi/test/testpage.js: 1038
            aBody.push(stRowEnd); // stdhemi/test/testpage.js: 1039
            aBody.push(stRowBegin); // stdhemi/test/testpage.js: 1040
            aBody.push(stCellBegin + 'APPLICATION NAME' + stCellEnd + stCellBegin + EMTestPage.Test['CurrentApplication'] + stCellEnd); // stdhemi/test/testpage.js: 1041
            aBody.push(stRowEnd); // stdhemi/test/testpage.js: 1042
            aBody.push(stRowBegin); // stdhemi/test/testpage.js: 1043
            aBody.push(stCellBegin + 'APPLICATION TYPE' + stCellEnd + stCellBegin + EMTestPage.Test['Mode'] + stCellEnd); // stdhemi/test/testpage.js: 1044
            aBody.push(stRowEnd); // stdhemi/test/testpage.js: 1045
            aBody.push(stRowBegin); // stdhemi/test/testpage.js: 1046
            aBody.push(stCellBegin + 'MAIN PLAYER URL' + stCellEnd + stCellBegin + EMTestPage.Test['CurrentURL'] + stCellEnd); // stdhemi/test/testpage.js: 1047
            aBody.push(stRowEnd); // stdhemi/test/testpage.js: 1048

            var stTable = "<tbody>" + aBody.join('') + "</tbody>"; // stdhemi/test/testpage.js: 1050
            EMTestPage.EM_Table1.TBody = stTable; // stdhemi/test/testpage.js: 1051
        }, // stdhemi/test/testpage.js: 1052
        Create: function() { // stdhemi/test/testpage.js: 1053
            EMTestPage.EM_Table1.CreateHeaders(); // stdhemi/test/testpage.js: 1054
            EMTestPage.EM_Table1.CreateRows(); // stdhemi/test/testpage.js: 1055

            //Create table
            var div = document.getElementById("em1"); // stdhemi/test/testpage.js: 1058
            div.innerHTML = "<table class=sortable1 border=1>" + EMTestPage.EM_Table1.THead + EMTestPage.EM_Table1.TBody + EMTestPage.EM_Table1.TFoot + "</table>"; // stdhemi/test/testpage.js: 1059
        } // stdhemi/test/testpage.js: 1060
    }, // stdhemi/test/testpage.js: 1061

    EM_Table2: { // stdhemi/test/testpage.js: 1063
        THead: '', // stdhemi/test/testpage.js: 1064
        Heads: ["VARIABLE", "VALUE"], // stdhemi/test/testpage.js: 1065
        TBody: "", // stdhemi/test/testpage.js: 1066
        TFoot: "", // stdhemi/test/testpage.js: 1067
        CreateHeaders: function() { // stdhemi/test/testpage.js: 1068
            var aHead = []; // stdhemi/test/testpage.js: 1069
            var stCellBegin = "<th>"; // stdhemi/test/testpage.js: 1070
            var stCellEnd = "</th>"; // stdhemi/test/testpage.js: 1071
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 1072
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 1073

            var _t = EMTestPage.EM_Table2.Heads; // stdhemi/test/testpage.js: 1075
            aHead.push(stRowBegin); // stdhemi/test/testpage.js: 1076
            for (var i = 0; i < _t.length; i++) { // stdhemi/test/testpage.js: 1077
                aHead.push(stCellBegin + _t[i] + stCellEnd); // stdhemi/test/testpage.js: 1078
            } // stdhemi/test/testpage.js: 1079
            aHead.push(stRowEnd); // stdhemi/test/testpage.js: 1080

            var stHead = "<thead>" + aHead.join('') + "</thead>"; // stdhemi/test/testpage.js: 1082
            EMTestPage.EM_Table2.THead = stHead; // stdhemi/test/testpage.js: 1083
        }, // stdhemi/test/testpage.js: 1084
        CreateRows: function() { // stdhemi/test/testpage.js: 1085
            var aBody = []; // stdhemi/test/testpage.js: 1086
            var stCellBegin = "<td>"; // stdhemi/test/testpage.js: 1087
            var stCellEnd = "</td>"; // stdhemi/test/testpage.js: 1088
            var stRowBegin = "<tr>"; // stdhemi/test/testpage.js: 1089
            var stRowEnd = "</tr>"; // stdhemi/test/testpage.js: 1090

            aBody.push(stRowBegin); // stdhemi/test/testpage.js: 1092
            aBody.push(stCellBegin + 'LANGUAGE CODE' + stCellEnd + stCellBegin + EMTestPage.Test['CurrentLanguage'] + stCellEnd); // stdhemi/test/testpage.js: 1093
            aBody.push(stRowEnd); // stdhemi/test/testpage.js: 1094
            aBody.push(stRowBegin); // stdhemi/test/testpage.js: 1095
            aBody.push(stCellBegin + 'PLAYER URL QUERY' + stCellEnd + stCellBegin + EMTestPage.Test['CurrentSearchExpression'].substr(1) + stCellEnd); // stdhemi/test/testpage.js: 1096
            aBody.push(stRowEnd); // stdhemi/test/testpage.js: 1097
            aBody.push(stRowBegin); // stdhemi/test/testpage.js: 1098
            aBody.push(stCellBegin + 'CTXEX' + stCellEnd + stCellBegin + EMTestPage.Test['CurrentSE'] + stCellEnd); // stdhemi/test/testpage.js: 1099
            aBody.push(stRowEnd); // stdhemi/test/testpage.js: 1100
            aBody.push(stRowBegin); // stdhemi/test/testpage.js: 1101
            aBody.push(stCellBegin + 'HELP URL' + stCellEnd + stCellBegin + EMTestPage.Test['HelpUrl'] + stCellEnd); // stdhemi/test/testpage.js: 1102
            aBody.push(stRowEnd); // stdhemi/test/testpage.js: 1103
            /*
            for (i in parent.TabbedGateway.ctxinfo.extra) {
            aBody.push(stRowBegin);
            aBody.push(stCellBegin + 'EXTRA PARAMETERS[' + i + ']' + stCellEnd + stCellBegin + parent.TabbedGateway.ctxinfo.extra[i] + stCellEnd);
            aBody.push(stRowEnd);
            }
            */ // stdhemi/test/testpage.js: 1110
            var stTable = "<tbody>" + aBody.join('') + "</tbody>"; // stdhemi/test/testpage.js: 1111
            EMTestPage.EM_Table2.TBody = stTable; // stdhemi/test/testpage.js: 1112
        }, // stdhemi/test/testpage.js: 1113
        Create: function() { // stdhemi/test/testpage.js: 1114
            EMTestPage.EM_Table2.CreateHeaders(); // stdhemi/test/testpage.js: 1115
            EMTestPage.EM_Table2.CreateRows(); // stdhemi/test/testpage.js: 1116

            //Create table
            var div = document.getElementById("em2"); // stdhemi/test/testpage.js: 1119
            div.innerHTML = "<table class=sortable1 border=1>" + EMTestPage.EM_Table2.THead + EMTestPage.EM_Table2.TBody + EMTestPage.EM_Table2.TFoot + "</table>"; // stdhemi/test/testpage.js: 1120
        } // stdhemi/test/testpage.js: 1121
    } // stdhemi/test/testpage.js: 1122
} // stdhemi/test/testpage.js: 1123

function Initialize() { // stdhemi/test/testpage.js: 1125
    var gwCurrentURL = '../../'; // stdhemi/test/testpage.js: 1126
    var a = document.createElement('div'); // stdhemi/test/testpage.js: 1127
    a.setAttribute('id', 'dheader'); // stdhemi/test/testpage.js: 1128
    document.body.appendChild(a); // stdhemi/test/testpage.js: 1129
    var b = document.createElement('div'); // stdhemi/test/testpage.js: 1130
    b.setAttribute('id', 'dcontent'); // stdhemi/test/testpage.js: 1131
    document.body.appendChild(b); // stdhemi/test/testpage.js: 1132
    var hemisource = ''; // stdhemi/test/testpage.js: 1133
    var logosource = '<table width="450" border="0" cellspacing="0" cellpadding="0">' + // stdhemi/test/testpage.js: 1134
                    '<tr><td colspan="2"><img src=' + gwCurrentURL + 'img/large_logo.gif' + ' border="0"></td></tr></table><br /><hr /><br />'; // stdhemi/test/testpage.js: 1135

    if (mode == 'exactmatch') { // stdhemi/test/testpage.js: 1137
        hemisource += "<div id='em1'></div>"; // stdhemi/test/testpage.js: 1138
        hemisource += "<br /><hr /><br />"; // stdhemi/test/testpage.js: 1139
        hemisource += "<div id='em2'></div>"; // stdhemi/test/testpage.js: 1140
    } // stdhemi/test/testpage.js: 1141
    else if (mode == 'smartmatch') { // stdhemi/test/testpage.js: 1142
        hemisource += "<div id='sm'></div>"; // stdhemi/test/testpage.js: 1143
        //hemisource += "<br /><hr /><br />";
        hemisource += "<div id='opa1'></div>" + // stdhemi/test/testpage.js: 1145
                    "<div id='opa1f'></div><br />" + // stdhemi/test/testpage.js: 1146
                    "<div id='opa2'></div><br />" + // stdhemi/test/testpage.js: 1147
                    "<a id='anchor1' href='#anchor1'></a>" + // stdhemi/test/testpage.js: 1148
                    "<div id='opa3'></div>" + // stdhemi/test/testpage.js: 1149
                    "<div id='opa3f'></div><br />" + // stdhemi/test/testpage.js: 1150
                    "<div id='opa4'></div><br />" + // stdhemi/test/testpage.js: 1151
                    "<div id='opa5'></div>"; // stdhemi/test/testpage.js: 1152
    } // stdhemi/test/testpage.js: 1153
    var e = document.getElementById('dheader'); // stdhemi/test/testpage.js: 1154
    if (e) { // stdhemi/test/testpage.js: 1155
        e.innerHTML = logosource; // stdhemi/test/testpage.js: 1156
    } // stdhemi/test/testpage.js: 1157
    var d = document.getElementById('dcontent'); // stdhemi/test/testpage.js: 1158
    if (d) { // stdhemi/test/testpage.js: 1159
        d.innerHTML = hemisource; // stdhemi/test/testpage.js: 1160
    } // stdhemi/test/testpage.js: 1161
} // stdhemi/test/testpage.js: 1162

if (mode == 'smartmatch') { // stdhemi/test/testpage.js: 1164
    if (opener) { // stdhemi/test/testpage.js: 1165
        GenericSearch = opener.SmartMatch.GenericSearch; // stdhemi/test/testpage.js: 1166
    } // stdhemi/test/testpage.js: 1167
} // stdhemi/test/testpage.js: 1168

window['ShowTestPage'] = EMTestPage.Show; // stdhemi/test/testpage.js: 1170
//* <FileEnd path="stdhemi/test/testpage.js"/>
