﻿/* Copyright © 1998, 2012, Oracle and/or its affiliates.  All rights reserved. */
/* Version 11.1.0.0 */

//* <XBuild version="11.1.0-release,trace,browser.all,playback,hint-1"/>
//* <BaseDir path="E:/BUILDROOT_SUN/Builds/Branches/Hacienda/tfs/TargetApps/BrowserAppsBuild/Build/Source/Applications/"/>
//* <FileRef type="source" path="stdhemi/configdata-ct.js" version="16" time="2012-01-13T11:50:21"/>


//* <FileBegin path="stdhemi/configdata-ct.js"/>
//<!--Version 16-->

var defaultLanguageMap = { // stdhemi/configdata-ct.js: 3
    '': '', // stdhemi/configdata-ct.js: 4
    '*': '*', // stdhemi/configdata-ct.js: 5
    'da': 'da', // stdhemi/configdata-ct.js: 6
    'de': 'de', // stdhemi/configdata-ct.js: 7
    'en': 'en', // stdhemi/configdata-ct.js: 8
    'es': 'es', // stdhemi/configdata-ct.js: 9
    'es-mx': 'es-mx', // stdhemi/configdata-ct.js: 10
    'fi': 'fi', // stdhemi/configdata-ct.js: 11
    'fr': 'fr', // stdhemi/configdata-ct.js: 12
    'fr-ca': 'fr-ca', // stdhemi/configdata-ct.js: 13
    'hu': 'hu', // stdhemi/configdata-ct.js: 14
    'it': 'it', // stdhemi/configdata-ct.js: 15
    'ja': 'ja', // stdhemi/configdata-ct.js: 16
    'ko': 'ko', // stdhemi/configdata-ct.js: 17
    'nl': 'nl', // stdhemi/configdata-ct.js: 18
    'no': 'no', // stdhemi/configdata-ct.js: 19
    'pl': 'pl', // stdhemi/configdata-ct.js: 20
    'pt': 'pt', // stdhemi/configdata-ct.js: 21
    'ru': 'ru', // stdhemi/configdata-ct.js: 22
    'sv': 'sv', // stdhemi/configdata-ct.js: 23
    'tr': 'tr' // stdhemi/configdata-ct.js: 24
}; // stdhemi/configdata-ct.js: 25

Types.AnyLanguageCode = new GkodConfig.TypeIn( // stdhemi/configdata-ct.js: 27
    { 'Width': 150 }, // stdhemi/configdata-ct.js: 28
    (this.SmartHelpLanguageMap || defaultLanguageMap), // stdhemi/configdata-ct.js: 29
    '' // stdhemi/configdata-ct.js: 30
); // stdhemi/configdata-ct.js: 31

function _CreateApplicationOptions() { // stdhemi/configdata-ct.js: 33
//x     /// <summary>
//x     /// The application options will be the intersection of internal applications and PublishData.
//x     /// </summary>
    var publishApps = GkodConfig.PublishData.TryGetValue('Applications', {}); // stdhemi/configdata-ct.js: 37
    var appIdList = ApplicationMap.Names; // stdhemi/configdata-ct.js: 38
    var titleMap = {}; // stdhemi/configdata-ct.js: 39
    var i, n; // stdhemi/configdata-ct.js: 40
    for (i = 0, n = appIdList.length; i < n; ++i) { // stdhemi/configdata-ct.js: 41
        var appId = appIdList[i]; // stdhemi/configdata-ct.js: 42
        if (!GkodConfig.SmartHelpEnabledApps[appId]) // stdhemi/configdata-ct.js: 43
            continue; // stdhemi/configdata-ct.js: 44
        var appInfo = publishApps[appId]; // stdhemi/configdata-ct.js: 45
        if (!appInfo || !appInfo['Enabled']) // stdhemi/configdata-ct.js: 46
            continue; // stdhemi/configdata-ct.js: 47
        var appTitle = appInfo['Title']; // stdhemi/configdata-ct.js: 48
        if (appTitle) // stdhemi/configdata-ct.js: 49
            titleMap[appTitle] = appId; // stdhemi/configdata-ct.js: 50
    } // stdhemi/configdata-ct.js: 51
    var titleList = HashMap.GetKeys(titleMap).sort(); // stdhemi/configdata-ct.js: 52
    var options = { '': '' }; // stdhemi/configdata-ct.js: 53
    for (i = 0, n = titleList.length; i < n; ++i) { // stdhemi/configdata-ct.js: 54
        var title = titleList[i]; // stdhemi/configdata-ct.js: 55
        options[titleMap[title]] = title; // stdhemi/configdata-ct.js: 56
    } // stdhemi/configdata-ct.js: 57
    return options; // stdhemi/configdata-ct.js: 58
} // stdhemi/configdata-ct.js: 59
    
Types.Application = new GkodConfig.DropDown(null, _CreateApplicationOptions(), ''); // stdhemi/configdata-ct.js: 61

Types.LanguageCode = new GkodConfig.DropDown( // stdhemi/configdata-ct.js: 63
    null, // stdhemi/configdata-ct.js: 64
    {}, // stdhemi/configdata-ct.js: 65
    '' // stdhemi/configdata-ct.js: 66
); // stdhemi/configdata-ct.js: 67

Types.SmartHelpContentMap = new GkodConfig.Array( // stdhemi/configdata-ct.js: 69
    { // stdhemi/configdata-ct.js: 70
        'RowLayout': true, // stdhemi/configdata-ct.js: 71
        'ValueColumn': [200, 100, 400], // stdhemi/configdata-ct.js: 72
        'Value': [ // stdhemi/configdata-ct.js: 73
            Gkrc('CT.Title.Application'), // stdhemi/configdata-ct.js: 74
            Gkrc('CT.Title.LanguageCode'), // stdhemi/configdata-ct.js: 75
            Gkrc('CT.Title.Url') // stdhemi/configdata-ct.js: 76
        ] // stdhemi/configdata-ct.js: 77
    }, // stdhemi/configdata-ct.js: 78
    { // stdhemi/configdata-ct.js: 79
        'Named': true, // stdhemi/configdata-ct.js: 80
        'Application': Types.Application, // stdhemi/configdata-ct.js: 81
        'Language': Types.AnyLanguageCode, // stdhemi/configdata-ct.js: 82
        'Url': Types.Url // stdhemi/configdata-ct.js: 83
    }, // stdhemi/configdata-ct.js: 84
    function(v) { // stdhemi/configdata-ct.js: 85
        return [true, v] // stdhemi/configdata-ct.js: 86
    } // stdhemi/configdata-ct.js: 87
); // stdhemi/configdata-ct.js: 88

Page.AddSection('CONTEXT'); // stdhemi/configdata-ct.js: 90
Page.AddVariable('ContentMap', Types.SmartHelpContentMap); // stdhemi/configdata-ct.js: 91





//* <FileEnd path="stdhemi/configdata-ct.js"/>
